Bug 736481 - AS7 Plugin Operation Execution Error
AS7 Plugin Operation Execution Error
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.1
Unspecified Unspecified
urgent Severity high (vote)
: ---
: JON 3.0.0,RHQ 4.3.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin jon30-sprint8
  Show dependency treegraph
 
Reported: 2011-09-07 15:39 EDT by Stefan Negrea
Modified: 2012-02-07 14:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-07 14:19:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2011-09-07 15:39:52 EDT
Description of problem: 
Executing operations on some AS7 plugin subsystems leads to an exception.

How reproducible:
Every time.

Steps to Reproduce:
1. Add an AS7 server to the inventory
2. Try to execute Set Root Logger on logging subsystem
  
Actual results:
java.lang.Exception: Operation name did not contain a ':'
	at org.rhq.core.pc.operation.OperationInvocation.run(OperationInvocation.java:278)
	at java.util.concurrent.ThreadPoolExecutor$Worker.runTask(ThreadPoolExecutor.java:886)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:908)
	at java.lang.Thread.run(Thread.java:662)


Expected results:
The operation completes successfully and the result returned.

Additional info:
The steps to reproduce use logging subsystem as an example; however, other subsystems with operations have the same problem. There are some subsystems with custom code for operation execution that are not affected by this defect.
Comment 1 Heiko W. Rupp 2011-11-07 07:16:06 EST
e1ae664 in master
cca4cad in release_jon3.x
Comment 2 Mike Foley 2012-02-07 14:19:11 EST
changing status of VERIFIED BZs for JON 2.4.2 and JON 3.0 to CLOSED/CURRENTRELEASE

Note You need to log in before you can comment on or make changes to this bug.